Bug 1303405 - [DOCS] [3.2] Document that builds can now be started by pushing binary content
[DOCS] [3.2] Document that builds can now be started by pushing binary content
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Alex Dellapenta
Wang Haoran
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 08:43 EST by Vikram Goyal
Modified: 2017-03-08 13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 10:58:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2016-01-31 08:43:54 EST
In OSE 3.2, the developer can push binary content into a build and start the build.

The user will be able to access `oc start-build` and pass:

* a file - placed in an empty dir at / with the same name as build input
* a directory - tar.gz and sent to the server
* a zip or tar or tar.gz streamed via STDIN
* a local git repository and a commit

which will upload the contents to the builder pod and launch a build.

Dev for this feature is:
Michal Fojtik

Trello Card is:
https://trello.com/c/oI1ddWEn/273-5-users-can-push-binary-contents-to-trigger-a-build

QA is:
Haoran Wang

Likely guide is:
Dev Guide in Builds section: 
https://docs.openshift.com/enterprise/3.1/dev_guide/builds.html#binary-source

Upstream docs:
https://github.com/openshift/openshift-docs/pull/1312

Note You need to log in before you can comment on or make changes to this bug.